Skip to main content
GET
/
voucher-groups
Retrieve a list of voucher groups
curl --request GET \
  --url https://api.spirii.com/voucher-groups \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 24,
      "name": "AKB2022",
      "perKwh": 2.5,
      "currency": "DKK",
      "isSpotPriceBased": false,
      "spotPriceMargin": null,
      "spotPriceMarginPct": null,
      "spotPriceMinimum": 0.5,
      "createdAt": "2021-01-07T09:21:43.000Z",
      "updatedAt": "2022-11-07T05:56:18.000Z",
      "voucherCount": 1
    },
    {
      "id": 25,
      "name": "aura2021",
      "perKwh": 2.5,
      "currency": "DKK",
      "isSpotPriceBased": false,
      "spotPriceMargin": null,
      "spotPriceMarginPct": null,
      "spotPriceMinimum": null,
      "createdAt": "2021-04-07T11:41:23.000Z",
      "updatedAt": "2022-11-07T05:56:18.000Z",
      "voucherCount": 1
    }
  ],
  "totalElements": 207,
  "offset": 10,
  "limit": 2
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

offset
integer

The number of items to skip before starting to collect the result set

Example:

250

limit
integer
default:250

Number of record to collect

Required range: x <= 2000
Example:

250

Response

Voucher Group list

data
object[]
required

Voucher Group list